1

I'm trying to compile litecoin on macosx 10.8.5, I have Xcode installed along with command line tools and have built all recommended dependencies (boost db48 qt4-mac openssl miniupnpc).

When I run sudo make -f makefile.osx USE_UPNP=- I get the following error:

make[1]: llvm-g++: No such file or directory
make[1]: *** [db/builder.o] Error 1
make: *** [leveldb/libleveldb.a] Error 2

Any help in this matter would be greatly appreciated, all my google searches have been in vain.

1

For anyone who runs into this problem, the newest version of Xcode 5.0.2 and Oct 23 version of command line tools did not install the llvm-g++ file. I rolled back to Xcode 4.5 and installed the first mountain lion command line tool release and this fixed the problem.

0

You can also solve these problems by installing dependencies with homebrew http://brew.sh/

it may also fix the problem to run Xcode-select --install in Terminal

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.